diff -r a23c35496c2f src/event/ngx_event_openssl.c
--- a/src/event/ngx_event_openssl.c	Mon Mar 24 17:55:10 2014 +0400
+++ b/src/event/ngx_event_openssl.c	Wed Dec 17 14:04:03 2014 +0100
@@ -851,9 +851,11 @@
         c->send_chain = ngx_ssl_send_chain;
 
         /* initial handshake done, disable renegotiation (CVE-2009-3555) */
+#ifdef SSL3_FLAGS_NO_RENEGOTIATE_CIPHERS
         if (c->ssl->connection->s3) {
             c->ssl->connection->s3->flags |= SSL3_FLAGS_NO_RENEGOTIATE_CIPHERS;
         }
+#endif
 
         return NGX_OK;
     }
